DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# FeatureSize

Measure the object's size

## SYNOPSIS

`#include "dip_measurement.h"`

dip_int dip_FeatureSizeID ( void )

## FUNCTION

`dip_FeatureSizeID` returns the ID value of this measurement function, that is registered by `Initialise`.

This function measures the object's size by counting the number of pixels having the same object ID. This measure is the optimal procedure for estimating the area (2D) or volume (3D) of an object with an arbitrary size. The measurement value's unit are in pixels (pixels^2 in 2D, pixels^3 in 3D).

## SEE ALSO

`Measure`, `FeatureSize`, `FeatureCenter`, `FeatureGravity`, `FeatureMean`, `FeatureStdDev`, `FeatureMaximum`, `FeatureMinimum`, `FeatureMaxVal`, `FeatureMinVal`, `FeaturePerimeter`, `FeatureSurfaceArea`, `FeatureFeret`, `FeatureMass`, `FeatureInertia`

DIPlib on-line documentation | Function reference | Global function index